--- old/usr/src/lib/libshare/common/libshare.h	2013-09-10 06:31:58.323525398 +0100
+++ new/usr/src/lib/libshare/common/libshare.h	2013-09-10 06:31:58.333802974 +0100
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2013 RackTop Systems.
  */
 
 /*
@@ -48,7 +49,7 @@
 typedef void *sa_protocol_properties_t;
 typedef void *sa_resource_t;
 
-typedef void *sa_handle_t;	/* opaque handle to access core functions */
+typedef struct sa_handle *sa_handle_t;	/* opaque handle to access core functions */
 
 /*
  * defined error values
@@ -177,7 +178,7 @@
 extern int sa_set_share_description(sa_share_t, char *);
 extern int sa_enable_share(sa_group_t, char *);
 extern int sa_disable_share(sa_share_t, char *);
-extern int sa_is_share(void *);
+extern boolean_t sa_is_share(void *);
 
 /* resource name related */
 extern sa_resource_t sa_find_resource(sa_handle_t, char *);
@@ -222,7 +223,7 @@
 extern int sa_remove_property(sa_property_t);
 extern int sa_commit_properties(sa_optionset_t, int);
 extern int sa_valid_property(sa_handle_t, void *, char *, sa_property_t);
-extern int sa_is_persistent(void *);
+extern boolean_t sa_is_persistent(void *);
 
 /* security control */
 extern sa_security_t sa_get_security(sa_group_t, char *, char *);
@@ -238,7 +239,7 @@
 /* protocol specific interfaces */
 extern int sa_parse_legacy_options(sa_group_t, char *, char *);
 extern char *sa_proto_legacy_format(char *, sa_group_t, int);
-extern int sa_is_security(char *, char *);
+extern boolean_t sa_is_security(char *, char *);
 extern sa_protocol_properties_t sa_proto_get_properties(char *);
 extern uint64_t sa_proto_get_featureset(char *);
 extern sa_property_t sa_get_protocol_section(sa_protocol_properties_t, char *);
@@ -266,9 +267,9 @@
 extern int sa_delete_sharetab(sa_handle_t, char *, char *);
 
 /* ZFS functions */
-extern int sa_zfs_is_shared(sa_handle_t, char *);
-extern int sa_group_is_zfs(sa_group_t);
-extern int sa_path_is_zfs(char *);
+extern boolean_t sa_zfs_is_shared(sa_handle_t, char *);
+extern boolean_t sa_group_is_zfs(sa_group_t);
+extern boolean_t sa_path_is_zfs(char *);
 extern int sa_zfs_setprop(sa_handle_t, char *, nvlist_t *);
 
 /* SA Handle specific functions */
